Xerces-J API: Class HTMLTableSectionElementImpl

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.html.dom
Class HTMLTableSectionElementImpl

    java.lang.Object
      |
      +--org.apache.xerces.dom.NodeImpl
            |
            +--org.apache.xerces.dom.ChildNode
                  |
                  +--org.apache.xerces.dom.ParentNode
                        |
                        +--org.apache.xerces.dom.ElementImpl
                              |
                              +--org.apache.html.dom.HTMLElementImpl
                                    |
                                    +--org.apache.html.dom.HTMLTableSectionElementImpl

public class HTMLTableSectionElementImpl
extends HTMLElementImpl
implements HTMLTableSectionElement

Version:
  $Revision: 1.4 $ $Date: 2001/01/30 23:58:06 $
Author:
  Assaf Arkin
See Also:
  `HTMLTableSectionElement`, `ElementImpl`, Serialized Form

Fields inherited from class org.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class org.apache.xerces.dom.ParentNode
`fCachedChild, fCachedChildIndex, fCachedLength, firstChild, ownerDocument`

Fields inherited from class org.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class org.apache.xerces.dom.NodeImpl
`ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, IGNORABLEWS, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, UNNORMALIZED`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`HTMLTableSectionElementImpl(HTMLDocumentImpl owner, java.lang.String name)` Constructor requires owner document.

Method Summary
`void` | `deleteRow(int index)` Delete a row from this section.
`java.lang.String` | `getAlign()` Horizontal alignment of data in cells.
`java.lang.String` | `getCh()` Alignment character for cells in a column.
`java.lang.String` | `getChOff()` Offset of alignment character.
`HTMLCollection` | `getRows()` The collection of rows in this table section.
`java.lang.String` | `getVAlign()` Vertical alignment of data in cells.
`HTMLElement` | `insertRow(int index)` Insert a row into this section.
`void` | `setAlign(java.lang.String align)`
`void` | `setCh(java.lang.String ch)`
`void` | `setChOff(java.lang.String chOff)`
`void` | `setVAlign(java.lang.String vAlign)`

Methods inherited from class org.apache.html.dom.HTMLElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getClassName, getDir, getElementsByTagName, getElementsByTagNameNS, getForm, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from class org.apache.xerces.dom.ElementImpl
`cloneNode, getAttributes, getDefaultAttributes, getNodeName, getNodeType, getTagName, hasAttribute, hasAttributeNS, hasAttributes, normalize, reconcileDefaultAttributes, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setReadOnly, setupDefaultAttributes, synchronizeData`

Methods inherited from class org.apache.xerces.dom.ParentNode
`getChildNodes, getChildNodesUnoptimized, getFirstChild, getLastChild, getLength, getOwnerDocument, hasChildNodes, insertBefore, item, removeChild, replaceChild, synchronizeChildren`

Methods inherited from class org.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class org.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, dispatchEvent, getLocalName, getNamespaceURI, getNodeValue, getPrefix, getReadOnly, getUserData, isSupported, removeEventListener, setNodeValue, setPrefix, setUserData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HTMLTableSectionElementImpl

    public HTMLTableSectionElementImpl(HTMLDocumentImpl owner,
                                       java.lang.String name)

  Constructor requires owner document.
  Parameters:
    `owner` - The owner HTML document

Method Detail

### getAlign

    public java.lang.String getAlign()

  Description copied from interface: HTMLTableSectionElement
  Horizontal alignment of data in cells. See the `align` attribute for HTMLTheadElement for details.
  Specified by:
    getAlign in interface HTMLTableSectionElement

### setAlign

    public void setAlign(java.lang.String align)

  Specified by:
    setAlign in interface HTMLTableSectionElement

### getCh

    public java.lang.String getCh()

  Description copied from interface: HTMLTableSectionElement
  Alignment character for cells in a column. See the char attribute definition in HTML 4.0.
  Specified by:
    getCh in interface HTMLTableSectionElement

### setCh

    public void setCh(java.lang.String ch)

  Specified by:
    setCh in interface HTMLTableSectionElement

### getChOff

    public java.lang.String getChOff()

  Description copied from interface: HTMLTableSectionElement
  Offset of alignment character. See the charoff attribute definition in HTML 4.0.
  Specified by:
    getChOff in interface HTMLTableSectionElement

### setChOff

    public void setChOff(java.lang.String chOff)

  Specified by:
    setChOff in interface HTMLTableSectionElement

### getVAlign

    public java.lang.String getVAlign()

  Description copied from interface: HTMLTableSectionElement
  Vertical alignment of data in cells. See the `valign` attribute for HTMLTheadElement for details.
  Specified by:
    getVAlign in interface HTMLTableSectionElement

### setVAlign

    public void setVAlign(java.lang.String vAlign)

  Specified by:
    setVAlign in interface HTMLTableSectionElement

### getRows

    public HTMLCollection getRows()

  Description copied from interface: HTMLTableSectionElement
  The collection of rows in this table section.
  Specified by:
    getRows in interface HTMLTableSectionElement

### insertRow

    public HTMLElement insertRow(int index)

  Description copied from interface: HTMLTableSectionElement
  Insert a row into this section. The new row is inserted immediately before the current `index` th row in this section. If `index` is equal to the number of rows in this section, the new row is appended.
  Specified by:
    insertRow in interface HTMLTableSectionElement
  Tags copied from interface: HTMLTableSectionElement
  Parameters:
    `index` - The row number where to insert a new row. This index starts from 0 and is relative only to the rows contained inside this section, not all the rows in the table.
  Returns:
    The newly created row.
  Throws:
    DOMException - INDEX_SIZE_ERR: Raised if the specified index is greater than the number of rows.

### deleteRow

    public void deleteRow(int index)

  Description copied from interface: HTMLTableSectionElement
  Delete a row from this section.
  Specified by:
    deleteRow in interface HTMLTableSectionElement
  Tags copied from interface: HTMLTableSectionElement
  Parameters:
    `index` - The index of the row to be deleted. This index starts from 0 and is relative only to the rows contained inside this section, not all the rows in the table.
  Throws:
    DOMException - INDEX_SIZE_ERR: Raised if the specified index is greater than or equal to the number of rows.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 Apache XML Project. All Rights Reserved.